%global srcname pyfzf

Summary:        Python wrapper for junegunn's fuzzyfinder (fzf)
Name:           python-%{srcname}
Version:        0.3.1
Release:        %autorelease
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source:         %pypi_source
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%description
A python wrapper for junegunn's awesome fzf.

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{srcname}
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/pyfzf/pyfzf.py

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.*
%license LICENSE

%changelog
%autochangelog

